Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -2642,18 +2460,17 @@
           i = 1
 
-          DO WHILE ( do2d(av,i)(1:1) /= ' ' )
+          DO  WHILE ( do2d(av,i)(1:1) /= ' ' )
 
              IF ( INDEX( do2d(av,i), 'xy' ) /= 0 )  THEN
 !
-!--             If there is a star in the variable name (u* or t*), it is a
-!--             surface variable. Define it with id_dim_zu1_xy.
+!--             If there is a star in the variable name (u* or t*), it is a surface variable. Define
+!--             it with id_dim_zu1_xy.
                 IF ( INDEX( do2d(av,i), '*' ) /= 0 )  THEN
 
-                   CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av),  &
-                                           id_dim_y_xy(av), id_dim_zu1_xy(av), &
-                                           id_dim_time_xy(av) /), do2d(av,i),  &
-                                           nc_precision(1), id_var_do2d(av,i), &
-                                           TRIM( do2d_unit(av,i) ),            &
-                                           do2d(av,i), 119, 120, 354, .TRUE. )
+                   CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av), id_dim_y_xy(av),     &
+                                           id_dim_zu1_xy(av), id_dim_time_xy(av) /), do2d(av,i),   &
+                                           nc_precision(1), id_var_do2d(av,i),                     &
+                                           TRIM( do2d_unit(av,i) ), do2d(av,i), 119, 120, 354,     &
+                                           .TRUE. )
 
                 ELSE
@@ -2666,8 +2483,8 @@
 !--                   Most variables are defined on the zu grid
                       CASE ( 'e_xy', 'nc_xy', 'ng_xy', 'ni_xy', 'nr_xy', 'ns_xy', 'p_xy',          &
-                             'pc_xy', 'pr_xy', 'prr_xy', 'q_xy',               &
+                             'pc_xy', 'pr_xy', 'prr_xy', 'q_xy',                                   &
                              'qc_xy', 'qg_xy', 'qi_xy', 'ql_xy', 'ql_c_xy', 'ql_v_xy',             &
                              'ql_vp_xy', 'qr_xy', 'qs_xy', 'qv_xy',                                &
-                             's_xy',                                           &
+                             's_xy',                                                               &
                              'theta_xy', 'thetal_xy', 'thetav_xy' )
 
@@ -2702,76 +2519,63 @@
 !--                      Check for land surface quantities
                          IF ( land_surface )  THEN
-                            CALL lsm_define_netcdf_grid( do2d(av,i), found,    &
-                                                   grid_x, grid_y, grid_z )
+                            CALL lsm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                          ENDIF
 
                          IF ( .NOT. found )  THEN
-                            CALL tcm_define_netcdf_grid( do2d(av,i), found,    &
-                                                         grid_x, grid_y,       &
+                            CALL tcm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
+                         ENDIF
+
+!
+!--                      Check for ocean quantities
+                         IF ( .NOT. found  .AND.  ocean_mode )  THEN
+                            CALL ocean_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,      &
+                                                           grid_z )
+                         ENDIF
+!
+!--                      Check for radiation quantities
+                         IF ( .NOT. found  .AND.  radiation )  THEN
+                            CALL radiation_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,  &
+                                                               grid_z )
+                         ENDIF
+
+!
+!--                      Check for SALSA quantities
+                         IF ( .NOT. found  .AND.  salsa )  THEN
+                            CALL salsa_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,      &
+                                                           grid_z )
+                         ENDIF
+
+!
+!--                      Check for gust module quantities
+                         IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
+                            CALL gust_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,       &
+                                                          grid_z )
+                         ENDIF
+!
+!--                      Check for biometeorology quantities
+                         IF ( .NOT. found  .AND.  biometeorology )  THEN
+                            CALL bio_define_netcdf_grid( do2d( av, i), found, grid_x, grid_y,      &
                                                          grid_z )
                          ENDIF
-
-!
-!--                      Check for ocean quantities
-                         IF ( .NOT. found  .AND.  ocean_mode )  THEN
-                            CALL ocean_define_netcdf_grid( do2d(av,i), found,  &
-                                                           grid_x, grid_y,     &
-                                                           grid_z )
-                         ENDIF
-!
-!--                      Check for radiation quantities
-                         IF ( .NOT. found  .AND.  radiation )  THEN
-                            CALL radiation_define_netcdf_grid( do2d(av,i),     &
-                                                         found, grid_x, grid_y,&
-                                                         grid_z )
-                         ENDIF
-
-!
-!--                      Check for SALSA quantities
-                         IF ( .NOT. found  .AND.  salsa )  THEN
-                            CALL salsa_define_netcdf_grid( do2d(av,i), found,  &
-                                                           grid_x, grid_y,     &
-                                                           grid_z )
-                         ENDIF
-
-!
-!--                      Check for gust module quantities
-                         IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-                            CALL gust_define_netcdf_grid( do2d(av,i), found,   &
-                                                          grid_x, grid_y,      &
+!
+!--                      Check for chemistry quantities
+                         IF ( .NOT. found  .AND.  air_chemistry )  THEN
+                            CALL chem_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,       &
                                                           grid_z )
                          ENDIF
-!
-!--                      Check for biometeorology quantities
-                         IF ( .NOT. found  .AND.  biometeorology )  THEN
-                            CALL bio_define_netcdf_grid( do2d( av, i), found,  &
-                                                         grid_x, grid_y,       &
-                                                         grid_z )
-                         ENDIF
-!
-!--                      Check for chemistry quantities
-                         IF ( .NOT. found  .AND.  air_chemistry )  THEN
-                            CALL chem_define_netcdf_grid( do2d(av,i), found,   &
-                                                          grid_x, grid_y,      &
+
+                         IF ( .NOT. found )                                                        &
+                            CALL doq_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
+!
+!--                      Check for user-defined quantities
+                         IF ( .NOT. found  .AND.  user_module_enabled )  THEN
+                            CALL user_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,       &
                                                           grid_z )
                          ENDIF
 
-                         IF ( .NOT. found )                                    &
-                            CALL doq_define_netcdf_grid(                       &
-                                                    do2d(av,i), found, grid_x, &
-                                                    grid_y, grid_z              )
-!
-!--                      Check for user-defined quantities
-                         IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-                            CALL user_define_netcdf_grid( do2d(av,i), found,   &
-                                                          grid_x, grid_y,      &
-                                                          grid_z )
-                         ENDIF
-
                          IF ( .NOT. found )  THEN
-                            WRITE ( message_string, * ) 'no grid defined for', &
-                                                ' variable ', TRIM( do2d(av,i) )
-                            CALL message( 'define_netcdf_header', 'PA0244',    &
-                                          0, 1, 0, 6, 0 )
+                            WRITE ( message_string, * ) 'no grid defined for', ' variable ',       &
+                                                        TRIM( do2d(av,i) )
+                            CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
                          ENDIF
 
@@ -2804,9 +2608,8 @@
 !
 !--                Define the grid
-                   CALL netcdf_create_var( id_set_xy(av), (/ id_x, id_y, id_z, &
-                                           id_dim_time_xy(av) /), do2d(av,i),  &
-                                           nc_precision(1), id_var_do2d(av,i), &
-                                           TRIM( do2d_unit(av,i) ),            &
-                                           do2d(av,i), 119, 120, 354, .TRUE. )
+                   CALL netcdf_create_var( id_set_xy(av), (/ id_x, id_y, id_z,                     &
+                                           id_dim_time_xy(av) /), do2d(av,i), nc_precision(1),     &
+                                           id_var_do2d(av,i), TRIM( do2d_unit(av,i) ), do2d(av,i), &
+                                           119, 120, 354, .TRUE. )
 
                 ENDIF
@@ -2816,12 +2619,9 @@
 !
 !--                Set no fill for every variable to increase performance.
-                   nc_stat = NF90_DEF_VAR_FILL( id_set_xy(av),     &
-                                                id_var_do2d(av,i), &
-                                                NF90_NOFILL, 0 )
+                   nc_stat = NF90_DEF_VAR_FILL( id_set_xy(av), id_var_do2d(av,i), NF90_NOFILL, 0 )
                    CALL netcdf_handle_error( 'netcdf_define_header', 533 )
 !
 !--                Set collective io operations for parallel io
-                   nc_stat = NF90_VAR_PAR_ACCESS( id_set_xy(av),     &
-                                                  id_var_do2d(av,i), &
+                   nc_stat = NF90_VAR_PAR_ACCESS( id_set_xy(av), id_var_do2d(av,i),                &
                                                   NF90_COLLECTIVE )
                    CALL netcdf_handle_error( 'netcdf_define_header', 448 )
@@ -2841,13 +2641,11 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs and by combine_plot_fields)
-          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs and by
+!--       combine_plot_fields).
+          nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 121 )
 
 !
-!--       Set general no fill, otherwise the performance drops significantly for
-!--       parallel output.
+!--       Set general no fill, otherwise the performance drops significantly for parallel output.
           nc_stat = NF90_SET_FILL( id_set_xy(av), NF90_NOFILL, oldmode )
           CALL netcdf_handle_error( 'netcdf_define_header', 529 )
@@ -2859,6 +2657,5 @@
 
 !
-!--       These data are only written by PE0 for parallel output to increase
-!--       the performance.
+!--       These data are only written by PE0 for parallel output to increase the performance.
           IF ( myid == 0  .OR.  netcdf_data_format < 5 )  THEN
 
@@ -2876,6 +2673,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zu_xy(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zu_xy(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 123 )
@@ -2890,6 +2687,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zw_xy(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zw_xy(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 124 )
@@ -2909,6 +2706,6 @@
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zs_xy(av), &
-                                        netcdf_data(1:ns_do), start = (/ 1 /),    &
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zs_xy(av),                           &
+                                        netcdf_data(1:ns_do), start = (/ 1 /),                     &
                                         count = (/ ns_do /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 124 )
@@ -2919,6 +2716,6 @@
 !--          Write gridpoint number data
              netcdf_data(1:ns) = section(1:ns,1)
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_ind_z_xy(av), &
-                                     netcdf_data, start = (/ 1 /),       &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_ind_z_xy(av),                           &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 125 )
@@ -2928,6 +2725,6 @@
 !
 !--          Write the cross section height u*, t*
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zu1_xy(av), &
-                                     (/ zu(nzb+1) /), start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zu1_xy(av),                             &
+                                     (/ zu(nzb+1) /), start = (/ 1 /),                             &
                                      count = (/ 1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 126 )
@@ -2941,6 +2738,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_x_xy(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_x_xy(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 127 )
@@ -2950,6 +2747,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_xu_xy(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_xu_xy(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 367 )
@@ -2965,6 +2762,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_y_xy(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_y_xy(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /))
              CALL netcdf_handle_error( 'netcdf_define_header', 128 )
@@ -2974,6 +2771,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_yv_xy(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_yv_xy(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /))
              CALL netcdf_handle_error( 'netcdf_define_header', 368 )
@@ -3005,10 +2802,9 @@
 
                    DO  i = 0, nx
-                     netcdf_data(i) = init_model%origin_x                      &
-                                    + cos_rot_angle * ( i + shift_x ) * dx
+                     netcdf_data(i) = init_model%origin_x + cos_rot_angle * ( i + shift_x ) * dx
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_eutm_xy(k,av),&
-                                           netcdf_data, start = (/ 1 /),       &
+                   nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_eutm_xy(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ nx+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -3035,10 +2831,9 @@
 
                    DO  j = 0, ny
-                      netcdf_data(j) = init_model%origin_y                     &
-                                     + cos_rot_angle * ( j + shift_y ) * dy
+                      netcdf_data(j) = init_model%origin_y + cos_rot_angle * ( j + shift_y ) * dy
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_nutm_xy(k,av),&
-                                           netcdf_data, start = (/ 1 /),       &
+                   nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_nutm_xy(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ ny+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -3071,12 +2866,12 @@
                   DO  j = 0, ny
                      DO  i = 0, nx
-                        netcdf_data_2d(i,j) = init_model%origin_x                   &
-                                            + cos_rot_angle * ( i + shift_x ) * dx  &
-                                            + sin_rot_angle * ( j + shift_y ) * dy
+                        netcdf_data_2d(i,j) = init_model%origin_x                                  &
+                                              + cos_rot_angle * ( i + shift_x ) * dx               &
+                                              + sin_rot_angle * ( j + shift_y ) * dy
                      ENDDO
                   ENDDO
 
-                  nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_eutm_xy(k,av),  &
-                                          netcdf_data_2d, start = (/ 1, 1 /),   &
+                  nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_eutm_xy(k,av),                     &
+                                          netcdf_data_2d, start = (/ 1, 1 /),                      &
                                           count = (/ nx+1, ny+1 /) )
                   CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -3084,12 +2879,12 @@
                   DO  j = 0, ny
                      DO  i = 0, nx
-                        netcdf_data_2d(i,j) = init_model%origin_y                   &
-                                            - sin_rot_angle * ( i + shift_x ) * dx  &
-                                            + cos_rot_angle * ( j + shift_y ) * dy
+                        netcdf_data_2d(i,j) = init_model%origin_y                                  &
+                                              - sin_rot_angle * ( i + shift_x ) * dx               &
+                                              + cos_rot_angle * ( j + shift_y ) * dy
                      ENDDO
                   ENDDO
 
-                  nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_nutm_xy(k,av),  &
-                                          netcdf_data_2d, start = (/ 1, 1 /),   &
+                  nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_nutm_xy(k,av),                     &
+                                          netcdf_data_2d, start = (/ 1, 1 /),                      &
                                           count = (/ nx+1, ny+1 /) )
                   CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -3126,25 +2921,23 @@
                 DO  j = nys, nyn
                    DO  i = nxl, nxr
-                      eutm = init_model%origin_x                   &
-                           + cos_rot_angle * ( i + shift_x ) * dx  &
-                           + sin_rot_angle * ( j + shift_y ) * dy
-                      nutm = init_model%origin_y                   &
-                           - sin_rot_angle * ( i + shift_x ) * dx  &
-                           + cos_rot_angle * ( j + shift_y ) * dy
-
-                      CALL  convert_utm_to_geographic( crs_list,          &
-                                                       eutm, nutm,        &
-                                                       lon(i,j), lat(i,j) )
+                      eutm = init_model%origin_x                                                   &
+                             + cos_rot_angle * ( i + shift_x ) * dx                                &
+                             + sin_rot_angle * ( j + shift_y ) * dy
+                      nutm = init_model%origin_y                                                   &
+                             - sin_rot_angle * ( i + shift_x ) * dx                                &
+                             + cos_rot_angle * ( j + shift_y ) * dy
+
+                      CALL  convert_utm_to_geographic( crs_list, eutm, nutm, lon(i,j), lat(i,j) )
                    ENDDO
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_lon_xy(k,av), &
-                                     lon, start = (/ nxl+1, nys+1 /),       &
-                                     count = (/ nxr-nxl+1, nyn-nys+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_lon_xy(k,av),                        &
+                                        lon, start = (/ nxl+1, nys+1 /),                           &
+                                        count = (/ nxr-nxl+1, nyn-nys+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
-                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_lat_xy(k,av), &
-                                     lat, start = (/ nxl+1, nys+1 /),       &
-                                     count = (/ nxr-nxl+1, nyn-nys+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_lat_xy(k,av),                        &
+                                        lat, start = (/ nxl+1, nys+1 /),                           &
+                                        count = (/ nxr-nxl+1, nyn-nys+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
              ENDDO
@@ -3157,26 +2950,25 @@
 !--       In case of non-flat topography write height information. Only for
 !--       parallel netcdf output.
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4  )  THEN
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4  )  THEN
 
 !             IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),     &
-!                                        zu_s_inner(nxl:nxr+1,nys:nyn),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),                         &
+!                                        zu_s_inner(nxl:nxr+1,nys:nyn),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+1 /) )
 !             ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),     &
-!                                        zu_s_inner(nxl:nxr,nys:nyn+1),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),                         &
+!                                        zu_s_inner(nxl:nxr,nys:nyn+1),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+1, nyn-nys+2 /) )
 !             ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),     &
-!                                        zu_s_inner(nxl:nxr+1,nys:nyn+1),       &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),                         &
+!                                        zu_s_inner(nxl:nxr+1,nys:nyn+1),                           &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+2 /) )
 !             ELSE
-                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),     &
-                                        zu_s_inner(nxl:nxr,nys:nyn),           &
-                                        start = (/ nxl+1, nys+1 /),            &
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zusi_xy(av),                         &
+                                        zu_s_inner(nxl:nxr,nys:nyn),                               &
+                                        start = (/ nxl+1, nys+1 /),                                &
                                         count = (/ nxr-nxl+1, nyn-nys+1 /) )
 !             ENDIF
@@ -3184,22 +2976,22 @@
 
 !             IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),     &
-!                                        zw_w_inner(nxl:nxr+1,nys:nyn),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),                         &
+!                                        zw_w_inner(nxl:nxr+1,nys:nyn),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+1 /) )
 !             ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),     &
-!                                        zw_w_inner(nxl:nxr,nys:nyn+1),         &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),                         &
+!                                        zw_w_inner(nxl:nxr,nys:nyn+1),                             &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+1, nyn-nys+2 /) )
 !             ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),     &
-!                                        zw_w_inner(nxl:nxr+1,nys:nyn+1),       &
-!                                        start = (/ nxl+1, nys+1 /),            &
+!                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),                         &
+!                                        zw_w_inner(nxl:nxr+1,nys:nyn+1),                           &
+!                                        start = (/ nxl+1, nys+1 /),                                &
 !                                        count = (/ nxr-nxl+2, nyn-nys+2 /) )
 !             ELSE
-                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),     &
-                                        zw_w_inner(nxl:nxr,nys:nyn),           &
-                                        start = (/ nxl+1, nys+1 /),            &
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zwwi_xy(av),                         &
+                                        zw_w_inner(nxl:nxr,nys:nyn),                               &
+                                        start = (/ nxl+1, nys+1 /),                                &
                                         count = (/ nxr-nxl+1, nyn-nys+1 /) )
 !             ENDIF
@@ -3212,14 +3004,12 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_xy(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_xy(av), NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 129 )
 
           var_list = ';'
           i = 1
-          DO WHILE ( do2d(av,i)(1:1) /= ' ' )
+          DO  WHILE ( do2d(av,i)(1:1) /= ' ' )
              IF ( INDEX( do2d(av,i), 'xy' ) /= 0 )  THEN
                 var_list = TRIM( var_list ) // TRIM( do2d(av,i) ) // ';'
@@ -3235,9 +3025,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previous run found,' //  &
-                              '&but this file cannot be extended due to' //  &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross-sections ' //                                 &
+                              TRIM( var ) // ' from previous run found,' //                        &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
